首页 新闻 搜索 专区 学院

ruby 1.9.2 on rails3.0.9中requrie文件报错,求解决办法。

0
悬赏园豆:5 [待解决问题]

require "aa"

在test.rb的第一行引入aa.rb,但是抛出如下异常:

<internal:lib/rubygems/custom_require>:29:in `require': no such file to load -- aa (LoadError)
from <internal:lib/rubygems/custom_require>:29:in `require'

小弟是新手,在网上搜了相关了资料,好像与rails加载文件时会使用load_path有关。

在Iteye中找到这样一段代码,说会解决这个问题。但是恕小弟愚钝,不知如何使用,代码如下:

File.expand_path(File.join(File.dirname(__FILE__),’..’,’..’,'page’,'client_arithmetic’))

希望高手出来帮解决,虽然是入门级问题。

六子liu的主页 六子liu | 初学一级 | 园豆:195
提问于:2011-07-10 19:21
< >
分享
所有回答(1)
0

可以使用require_relative “aa”

Fcicada · Sunny | 园豆:202 (菜鸟二级) | 2012-04-20 15:26
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册